Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
DatabaseConfig Members
DatabaseConfig Class Constructors Methods Fields Properties See Also

The DatabaseConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| DatabaseConfig | Instantiate a new DatabaseConfig object

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| SetEncryption | Set the password and algorithm used by the Berkeley DB library to perform encryption and decryption.
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| AutoCommit | Enclose the open call within a transaction. If the call succeeds, the open operation will be recoverable and all subsequent database modification operations based on this handle will be transactionally protected. If the call fails, no database will have been created.
| ByteOrder | The byte order for integers in the stored database metadata. The host byte order of the machine where the Berkeley DB library was compiled is the default value.
| CacheSize | The size of the shared memory buffer pool -- that is, the cache.
| DoChecksum | If true, do checksum verification of pages read into the cache from the backing filestore.
| Env | The Berkeley DB environment within which to create a database. If null, the database will be created stand-alone; that is, it is not part of any Berkeley DB environment.
| ErrorFeedback | The mechanism for reporting error messages to the application.
| ErrorPrefix | The prefix string that appears before error messages issued by Berkeley DB.
| Feedback |
| FreeThreaded | Cause the database object to be free-threaded; that is, concurrently usable by multiple threads in the address space.
| NoMMap | Do not map this database into process memory.
| NonDurableTxns | If true, Berkeley DB will not write log records for this database.
| Priority | The cache priority for pages referenced by the database.
| ReadOnly | Open the database for reading only. Any attempt to modify items in the database will fail, regardless of the actual permissions of any underlying files.
| ReadUncommitted | Support transactional read operations with degree 1 isolation.
| Truncate | Physically truncate the underlying file, discarding all previous databases it might have held.
| UseMVCC | Open the database with support for multiversion concurrency control.

# Properties

| Name | Description
--- | --- | ---
| EncryptAlgorithm | The algorithm used to perform encryption and decryption.
| EncryptionPassword | The password used to perform encryption and decryption.
| PageSize | The size of the pages used to hold items in the database, in bytes.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace